### Method

# Fwupd Client self_sign

#### Declaration [src]

    gchar*
    fwupd_client_self_sign (
      FwupdClient* self,
      const gchar* value,
      FwupdSelfSignFlags flags,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Signs the data using the client self-signed certificate.

Available since: | 1.2.6

#### Parameters

`value` | `const gchar*`
| A string to sign, typically a JSON blob.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`flags` | `FwupdSelfSignFlags`
| Signing flags, e.g. `FWUPD_SELF_SIGN_FLAG_ADD_TIMESTAMP`.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A signature, or `NULL` for failure.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.